%define anolis_release 1
# Must be kept in sync with xorg-x11-fonts !
%define _x11fontdir		%{_datadir}/X11/fonts

Summary: X.Org X11 libfontenc runtime library
Name: libfontenc
Version: 1.1.7
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org
Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: zlib-devel
BuildRequires: pkgconfig(fontutil)
BuildRequires: pkgconfig(xproto)

%description
X.Org X11 libfontenc runtime library

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: X.Org X11 libfontenc development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libfontenc development package

%prep
%setup -q

%build
%configure --disable-static --with-fontrootdir=%{_x11fontdir}
%make_build

%install
%make_install

%files
%license COPYING
%{_libdir}/libfontenc.so.*

%files doc
%doc README.md ChangeLog

%files devel
%{_includedir}/X11/fonts/fontenc.h
%{_libdir}/libfontenc.so
%{_libdir}/pkgconfig/fontenc.pc

%changelog
* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 1.1.7-1
- New version 1.1.7

* Sun Nov 20 2022 Funda Wang <fundawang@yeah.net> - 1.1.6-1
- New version 1.1.6

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.4-2
- add doc package

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.4-1
- Init from upstream version 1.1.4
